Copyright: AdvHttp   © Team Soft SRL. Help file last compiled   Saturday, January 30, 1999 12:34:21.


AdvHttp - Overview
AdvHttp Library

Units
uAdvHttp

Classes
TAdvHttp

Other Types
TInternetFlags

Routines
Register


Legend

 - Marks that the item has an associated example. (this bitmap is a hyperlink.)

 - Marks that the item has documented bugs.


uAdvHttp Unit Overview
uAdvHttp Unit
Legend

Description
Advanced Http unit

Classes
TAdvHttp

This component implements a complete encapsulation of http protocol that provides the Microsoft Internet Explorer Wininet api.

Other Types
TInternetFlags

TInternetFlags is a wrapper of the flags used in HttpOpenRequest wininet function.

Routines
Register


TAdvHttp
TAdvHttp Object
Hierarchy    Properties   Methods   Events

Unit
uAdvHttp

Declaration
TAdvHttp = class(TComponent)

Description
This component implements a complete encapsulation of http protocol that provides the Microsoft Internet Explorer Wininet api. Implements asynchronous http transactions, allowing multiple/concurrent/nonblocking http requests.

Introduced Properties
AcceptTypes

List of content types accepted by the client.

AuthRetries

Number of authorization retries.

BytesAvailable

Number of bytes available from last read.

BytesReceived

Number of bytes received in last response.

BytesSent

Number of bytes sent on http request.

DefaultUi

If true, the Internet Explorer standard dialog will show up on server or proxy authentication needs.

ExtraInfo

Additional URL information (for example, ?foo or #foo).

FreeOnTerminate

Determines whether the AdvHttp object is automatically destroyed when the http transaction terminates.

HostAddress

Server Host Address.

HostName

Name of the web server.

HTTPStatus

HTTP status code response to the last request.

InternetFlags

Several flags to be passed to wininet HttpOpenRequest method.

LastError

Returns the last wininet or win32 error code.

Method

HTTP method.

Password

Password for server authentication.

Port

Connection port.

Proxy

Full URL for the Proxy server.

ProxyPassword

Password for proxy authentication.

ProxyUserName

User name for proxy authentication.

RaiseExceptions

Determines whether the AdvHttp object raises an exception on http errors.

RedirectedUrl

URL to be redirected.

RequestHeaders

String list with the request headers will be sent to the web server.

RequestStream

Input memory stream.

ResponseHeaders

Returns a string list with all returned HTTP headers.

ResponseStream

Memory stream containing the complete response data.

SSL

Turn On/Off Secure Socket Layers.

Success

Success is True on Http Status 200.

Text

Set the body of the request and returns the body of the response.

TotalBytesAvailable

Total number of bytes available from reading the complete response.

TotalBytesReceived

Total number of bytes received in response.

URL

Uniform Resourse Locator for the http request.

URLPath

URL path for the specified request.

UserAgent

HTTP user agent.

UserName

User name for server authentication.

Introduced Public Methods
create

Creates an instance of TAdvHttp.

destroy

Disposes of the component and its owned components.

FormatMessage

Allows to get an error description.

Start

Start the http request.

Stop

Cancel the http request.

Introduced Public Events
OnClosingConnection

Occurs when closing the connection to the server.

OnConnectedToServer

Occurs if successfully connected to the server.

OnConnectingToServer

Occurs while connecting to the server.

OnConnectionClosed

Occurs if successfully closed the connection to the server.

OnDataAvailable

Occurs when new data has been received an is available in ResponseStream property.

OnError

Occurs on an error in the request.

OnIntermediateResponse

Occurs when received an intermediate (100 level) status code message from the server.

OnNameResolved

Occurs when successfully found the IP address of the name contained in HostName property.

OnNeedAuth

Occurs when authentication information is needed.

OnNeedProxyAuth

Occurs when proxy authentication information is needed.

OnReceivingResponse

Occurs while waiting for the server to respond to a request.

OnRedirect

Occurs when a redirection is received from the server.

OnRequestComplete

Occurs when the asynchronous operation has been completed.

OnRequestSent

Occurs when the request information is successfully sent to the server.

OnResolvingName

Occurs while looking up the IP address of the name contained in HostName property.

OnResponseReceived

Occurs when successfully received a response from the server.

OnSendingRequest

Occurs while sending the information request to the server.

OnStateChange

Occurs when moved between a secure (HTTPS) and a nonsecure (HTTP) site.


Properties for TAdvHttp
TAdvHttp Properties

Properties   Methods   Events

In TAdvHttp
AcceptTypes
AuthRetries
BytesAvailable
BytesReceived
BytesSent
DefaultUi
ExtraInfo
FreeOnTerminate
HostAddress
HostName
HTTPStatus
InternetFlags
LastError
Method
Password
Port
Proxy
ProxyPassword
ProxyUserName
RaiseExceptions
RedirectedUrl
RequestHeaders
RequestStream
ResponseHeaders
ResponseStream
SSL
Success
Text
TotalBytesAvailable
TotalBytesReceived
URL
URLPath
UserAgent
UserName


Methods for TAdvHttp
TAdvHttp Methods

Properties   Methods   Events

In TAdvHttp
create
destroy
FormatMessage
Start
Stop


Events for TAdvHttp
TAdvHttp Events

Properties   Methods   Events

In TAdvHttp
OnClosingConnection
OnConnectedToServer
OnConnectingToServer
OnConnectionClosed
OnDataAvailable
OnError
OnIntermediateResponse
OnNameResolved
OnNeedAuth
OnNeedProxyAuth
OnReceivingResponse
OnRedirect
OnRequestComplete
OnRequestSent
OnResolvingName
OnResponseReceived
OnSendingRequest
OnStateChange


TAdvHttp.AcceptTypes
AcceptTypes property

Applies to
TAdvHttp

Declaration
Property AcceptTypes : TStringList;

Description
List of content types accepted by the client. If empty, no types are accepted by the client. Servers interpret a lack of accept types to indicate that the client accepts only documents of type "text/*" (that is, only text documents, and not pictures or other binary files).


TAdvHttp.AuthRetries
AuthRetries property

Applies to
TAdvHttp

Declaration
Property AuthRetries : Integer;

Description
Number of authorization retries.


TAdvHttp.BytesAvailable
BytesAvailable property
See Also

Applies to
TAdvHttp

Declaration
Property BytesAvailable : Integer;

Description
Number of bytes available from last read. Available on OnDataAvailable event


TAdvHttp.BytesReceived
BytesReceived property
See Also

Applies to
TAdvHttp

Declaration
Property BytesReceived : Integer;

Description
Number of bytes received in last response. Available on OnResponseReceived event


TAdvHttp.BytesSent
BytesSent property
See Also

Applies to
TAdvHttp

Declaration
Property BytesSent : Integer;

Description
Number of bytes sent on http request. Available on OnRequestsetn event.


TAdvHttp.DefaultUi
DefaultUi property

Applies to
TAdvHttp

Declaration
Property DefaultUi : Boolean;

Description
If true, the Internet Explorer standard dialog will show up on server or proxy authentication needs. Default true.


TAdvHttp.ExtraInfo
ExtraInfo property
See Also

Applies to
TAdvHttp

Declaration
Property ExtraInfo : string;

Description
Additional URL information (for example, ?foo or #foo).


TAdvHttp.FreeOnTerminate
FreeOnTerminate property

Applies to
TAdvHttp

Declaration
Property FreeOnTerminate : Boolean;

Description
Determines whether the AdvHttp object is automatically destroyed when the http transaction terminates. Defaut False.


TAdvHttp.HostAddress
HostAddress property
See Also

Applies to
TAdvHttp

Declaration
Property HostAddress : string;

Description
Server Host Address. Available on OnNameResolved event.


TAdvHttp.HostName
HostName property

Applies to
TAdvHttp

Declaration
Property HostName : string;

Description
Name of the web server.


TAdvHttp.HTTPStatus
HTTPStatus property

Applies to
TAdvHttp

Declaration
Property HTTPStatus : Integer;

Description
HTTP status code response to the last request.


TAdvHttp.InternetFlags
InternetFlags property
See Also

Applies to
TAdvHttp

Declaration
Property InternetFlags : TInternetFlags;

Description
Several flags to be passed to wininet HttpOpenRequest method.


TAdvHttp.LastError
LastError property
See Also

Applies to
TAdvHttp

Declaration
Property LastError : DWORD;

Description
Returns the last wininet or win32 error code.


TAdvHttp.Method
Method property

Applies to
TAdvHttp

Declaration
Property Method : string;

Description
HTTP method. Valids methods are GET, POST, PUT, HEAD. Default 'GET'.


TAdvHttp.Password
Password property

Applies to
TAdvHttp

Declaration
Property Password : string;

Description
Password for server authentication.


TAdvHttp.Port
Port property
See Also

Applies to
TAdvHttp

Declaration
Property Port : Integer;

Description
Connection port. Default 80.


TAdvHttp.Proxy
Proxy property

Applies to
TAdvHttp

Declaration
Property Proxy : string;

Description
Full URL for the Proxy server.


TAdvHttp.ProxyPassword
ProxyPassword property
See Also

Applies to
TAdvHttp

Declaration
Property ProxyPassword : string;

Description
Password for proxy authentication.


TAdvHttp.ProxyUserName
ProxyUserName property
See Also

Applies to
TAdvHttp

Declaration
Property ProxyUserName : string;

Description
User name for proxy authentication.


TAdvHttp.RaiseExceptions
RaiseExceptions property

Applies to
TAdvHttp

Declaration
Property RaiseExceptions : boolean;

Description
Determines whether the AdvHttp object raises an exception on http errors.


TAdvHttp.RedirectedUrl
RedirectedUrl property
See Also

Applies to
TAdvHttp

Declaration
Property RedirectedUrl : string;

Description
URL to be redirected. Available on OnRedirect event.


TAdvHttp.RequestHeaders
RequestHeaders property

Applies to
TAdvHttp

Declaration
Property RequestHeaders : TStringList;

Description
String list with the request headers will be sent to the web server. To add some header, simply execute RequestHeaders.Add('header'). Example: RequestHeaders.Add('Accept-type: text/html');


TAdvHttp.RequestStream
RequestStream property

Applies to
TAdvHttp

Declaration
Property RequestStream : TMemoryStream;

Description
Input memory stream. Normally contains the form data to be submited.


TAdvHttp.ResponseHeaders
ResponseHeaders property

Applies to
TAdvHttp

Declaration
Property ResponseHeaders : TStringList;

Description
Returns a string list with all returned HTTP headers.


TAdvHttp.ResponseStream
ResponseStream property

Applies to
TAdvHttp

Declaration
Property ResponseStream : TMemoryStream;

Description
Memory stream containing the complete response data.


TAdvHttp.SSL
SSL property
See Also

Applies to
TAdvHttp

Declaration
Property SSL : boolean;

Description
Turn On/Off Secure Socket Layers.


TAdvHttp.Success
Success property
See Also

Applies to
TAdvHttp

Declaration
Property Success : Boolean;

Description
Success is True on Http Status 200.


TAdvHttp.Text
Text property
See Also

Applies to
TAdvHttp

Declaration
Property Text : string;

Description
Set the body of the request and returns the body of the response.


TAdvHttp.TotalBytesAvailable
TotalBytesAvailable property
See Also

Applies to
TAdvHttp

Declaration
Property TotalBytesAvailable : Integer;

Description
Total number of bytes available from reading the complete response. Available on OnDataAvailable event


TAdvHttp.TotalBytesReceived
TotalBytesReceived property
See Also

Applies to
TAdvHttp

Declaration
Property TotalBytesReceived : Integer;

Description
Total number of bytes received in response. Available on OnResponseReceived event


TAdvHttp.URL
URL property
See Also

Applies to
TAdvHttp

Declaration
Property URL : string;

Description
Uniform Resourse Locator for the http request.


TAdvHttp.URLPath
URLPath property
See Also

Applies to
TAdvHttp

Declaration
Property URLPath : string;

Description
URL path for the specified request.


TAdvHttp.UserAgent
UserAgent property

Applies to
TAdvHttp

Declaration
Property UserAgent : string;

Description
HTTP user agent.


TAdvHttp.UserName
UserName property

Applies to
TAdvHttp

Declaration
Property UserName : string;

Description
User name for server authentication.


TAdvHttp.Cleanup
Cleanup method

Applies to
TAdvHttp

Declaration
Procedure Cleanup;


TAdvHttp.CombineUrl
CombineUrl method

Applies to
TAdvHttp

Declaration
Function CombineUrl: boolean;


TAdvHttp.CrackUrl
CrackUrl method

Applies to
TAdvHttp

Declaration
Function CrackUrl: boolean;


TAdvHttp.create
create method

Applies to
TAdvHttp

Declaration
Constructor create(aowner: TComponent);

Description
Creates an instance of TAdvHttp.
Call Create to create an instance of TAdvHttp at runtime.
After calling the inherited constructor, Create initializes the following properties:
* UserAgent to 'TeamSoft WinInet Component'
* RaiseExceptions to True
* SSL to False
* Method to 'GET'
* HostName to 'localhost'
* Port:=80;
* DefaultUi to True
* FreeOnTerminate to False


TAdvHttp.destroy
destroy method

Applies to
TAdvHttp

Declaration
Destructor destroy;

Description
Disposes of the component and its owned components.


TAdvHttp.FormatMessage
FormatMessage method
See Also

Applies to
TAdvHttp

Declaration
Function FormatMessage(error: DWORD): string;

Description
Allows to get an error description.

Parameters
dwError
Integer containing the error code, normally the LastError property.

Returns
String with the error description.


TAdvHttp.GetBody
GetBody method

Applies to
TAdvHttp

Declaration
Procedure GetBody;


TAdvHttp.GetHeaders
GetHeaders method

Applies to
TAdvHttp

Declaration
Procedure GetHeaders;


TAdvHttp.GetSuccess
GetSuccess method

Applies to
TAdvHttp

Declaration
Function GetSuccess: Boolean;


TAdvHttp.GetText
GetText method

Applies to
TAdvHttp

Declaration
Function GetText: string;


TAdvHttp.INetCheck
INetCheck method

Applies to
TAdvHttp

Declaration
Procedure INetCheck(b: LongBool);


TAdvHttp.Initialize
Initialize method

Applies to
TAdvHttp

Declaration
Function Initialize: Boolean;


TAdvHttp.IstCallback
IstCallback method

Applies to
TAdvHttp

Declaration
Procedure IstCallback(hInt:HINTERNET;dwContext,dwInternetStatus:DWORD;                         lpvStatusInformation:Pointer;                         dwStatusInformationLength:DWORD);


TAdvHttp.NeedAuth
NeedAuth method

Applies to
TAdvHttp

Declaration
Function NeedAuth: boolean;


TAdvHttp.PostFree
PostFree method

Applies to
TAdvHttp

Declaration
Procedure PostFree;


TAdvHttp.RequestComplete
RequestComplete method

Applies to
TAdvHttp

Declaration
Procedure RequestComplete;


TAdvHttp.SendRequest
SendRequest method

Applies to
TAdvHttp

Declaration
Procedure SendRequest;


TAdvHttp.SetAcceptTypes
SetAcceptTypes method

Applies to
TAdvHttp

Declaration
Procedure SetAcceptTypes(const Value: TStringList);


TAdvHttp.SetAuthRetries
SetAuthRetries method

Applies to
TAdvHttp

Declaration
Procedure SetAuthRetries(const Value: Integer);


TAdvHttp.SetDefaultUi
SetDefaultUi method

Applies to
TAdvHttp

Declaration
Procedure SetDefaultUi(const Value: Boolean);


TAdvHttp.SetExtraInfo
SetExtraInfo method

Applies to
TAdvHttp

Declaration
Procedure SetExtraInfo(const Value: string);


TAdvHttp.SetFreeOnTerminate
SetFreeOnTerminate method

Applies to
TAdvHttp

Declaration
Procedure SetFreeOnTerminate(const Value: Boolean);


TAdvHttp.SetHostName
SetHostName method

Applies to
TAdvHttp

Declaration
Procedure SetHostName(const Value: string);


TAdvHttp.SetInternetFlags
SetInternetFlags method

Applies to
TAdvHttp

Declaration
Procedure SetInternetFlags(const Value: TInternetFlags);


TAdvHttp.SetLastError
SetLastError method

Applies to
TAdvHttp

Declaration
Procedure SetLastError(const Value: DWORD);


TAdvHttp.SetMethod
SetMethod method

Applies to
TAdvHttp

Declaration
Procedure SetMethod(const Value: string);


TAdvHttp.SetOnClosingConnection
SetOnClosingConnection method

Applies to
TAdvHttp

Declaration
Procedure SetOnClosingConnection(const Value: TNotifyEvent);


TAdvHttp.SetOnConnectedToServer
SetOnConnectedToServer method

Applies to
TAdvHttp

Declaration
Procedure SetOnConnectedToServer(const Value: TNotifyEvent);


TAdvHttp.SetOnConnectingToServer
SetOnConnectingToServer method

Applies to
TAdvHttp

Declaration
Procedure SetOnConnectingToServer(const Value: TNotifyEvent);


TAdvHttp.SetOnConnectionClosed
SetOnConnectionClosed method

Applies to
TAdvHttp

Declaration
Procedure SetOnConnectionClosed(const Value: TNotifyEvent);


TAdvHttp.SetOnDataAvailable
SetOnDataAvailable method

Applies to
TAdvHttp

Declaration
Procedure SetOnDataAvailable(const Value: TNotifyEvent);


TAdvHttp.SetOnError
SetOnError method

Applies to
TAdvHttp

Declaration
Procedure SetOnError(const Value: TNotifyEvent);


TAdvHttp.SetOnIntermediateResponse
SetOnIntermediateResponse method

Applies to
TAdvHttp

Declaration
Procedure SetOnIntermediateResponse(const Value: TNotifyEvent);


TAdvHttp.SetOnNameResolved
SetOnNameResolved method

Applies to
TAdvHttp

Declaration
Procedure SetOnNameResolved(const Value: TNotifyEvent);


TAdvHttp.SetOnNeedAuth
SetOnNeedAuth method

Applies to
TAdvHttp

Declaration
Procedure SetOnNeedAuth(const Value: TNotifyEvent);


TAdvHttp.SetOnNeedProxyAuth
SetOnNeedProxyAuth method

Applies to
TAdvHttp

Declaration
Procedure SetOnNeedProxyAuth(const Value: TNotifyEvent);


TAdvHttp.SetOnReceivingResponse
SetOnReceivingResponse method

Applies to
TAdvHttp

Declaration
Procedure SetOnReceivingResponse(const Value: TNotifyEvent);


TAdvHttp.SetOnRedirect
SetOnRedirect method

Applies to
TAdvHttp

Declaration
Procedure SetOnRedirect(const Value: TNotifyEvent);


TAdvHttp.SetOnRequestComplete
SetOnRequestComplete method

Applies to
TAdvHttp

Declaration
Procedure SetOnRequestComplete(const Value: TNotifyEvent);


TAdvHttp.SetOnRequestSent
SetOnRequestSent method

Applies to
TAdvHttp

Declaration
Procedure SetOnRequestSent(const Value: TNotifyEvent);


TAdvHttp.SetOnResolvingName
SetOnResolvingName method

Applies to
TAdvHttp

Declaration
Procedure SetOnResolvingName(const Value: TNotifyEvent);


TAdvHttp.SetOnResponseReceived
SetOnResponseReceived method

Applies to
TAdvHttp

Declaration
Procedure SetOnResponseReceived(const Value: TNotifyEvent);


TAdvHttp.SetOnSendingRequest
SetOnSendingRequest method

Applies to
TAdvHttp

Declaration
Procedure SetOnSendingRequest(const Value: TNotifyEvent);


TAdvHttp.SetOnStateChange
SetOnStateChange method

Applies to
TAdvHttp

Declaration
Procedure SetOnStateChange(const Value: TNotifyEvent);


TAdvHttp.SetPassword
SetPassword method

Applies to
TAdvHttp

Declaration
Procedure SetPassword(const Value: string);


TAdvHttp.SetPort
SetPort method

Applies to
TAdvHttp

Declaration
Procedure SetPort(const Value: Integer);


TAdvHttp.SetProxy
SetProxy method

Applies to
TAdvHttp

Declaration
Procedure SetProxy(const Value: string);


TAdvHttp.SetProxyPassword
SetProxyPassword method

Applies to
TAdvHttp

Declaration
Procedure SetProxyPassword(const Value: string);


TAdvHttp.SetProxyUserName
SetProxyUserName method

Applies to
TAdvHttp

Declaration
Procedure SetProxyUserName(const Value: string);


TAdvHttp.SetRaiseExceptions
SetRaiseExceptions method

Applies to
TAdvHttp

Declaration
Procedure SetRaiseExceptions(const Value: boolean);


TAdvHttp.SetRequestHeaders
SetRequestHeaders method

Applies to
TAdvHttp

Declaration
Procedure SetRequestHeaders(const Value: TStringList);


TAdvHttp.SetSSL
SetSSL method

Applies to
TAdvHttp

Declaration
Procedure SetSSL(const Value: boolean);


TAdvHttp.SetText
SetText method

Applies to
TAdvHttp

Declaration
Procedure SetText(text :  string);


TAdvHttp.SetURL
SetURL method

Applies to
TAdvHttp

Declaration
Procedure SetURL(const Value: string);


TAdvHttp.SetURLPath
SetURLPath method

Applies to
TAdvHttp

Declaration
Procedure SetURLPath(const Value: string);


TAdvHttp.SetUserAgent
SetUserAgent method

Applies to
TAdvHttp

Declaration
Procedure SetUserAgent(const Value: string);


TAdvHttp.SetUserName
SetUserName method

Applies to
TAdvHttp

Declaration
Procedure SetUserName(const Value: string);


TAdvHttp.Start
Start method

Applies to
TAdvHttp

Declaration
Function Start: boolean;

Description
Start the http request.

Returns
true if request was succefull started.


TAdvHttp.Stop
Stop method

Applies to
TAdvHttp

Declaration
Procedure Stop;

Description
Cancel the http request.


TAdvHttp.Synchronize
Synchronize method

Applies to
TAdvHttp

Declaration
Procedure Synchronize(Method: TNotifyEvent);


TAdvHttp.UnInitialize
UnInitialize method

Applies to
TAdvHttp

Declaration
Function UnInitialize: Boolean;


TAdvHttp.OnClosingConnection
OnClosingConnection Event

Applies to
TAdvHttp

Declaration
TNotifyEvent = Procedure(Sender: TObject) of object;

Description
Occurs when closing the connection to the server.


TAdvHttp.OnConnectedToServer
OnConnectedToServer Event

Applies to
TAdvHttp

Declaration
TNotifyEvent = Procedure(Sender: TObject) of object;

Description
Occurs if successfully connected to the server.


TAdvHttp.OnConnectingToServer
OnConnectingToServer Event

Applies to
TAdvHttp

Declaration
TNotifyEvent = Procedure(Sender: TObject) of object;

Description
Occurs while connecting to the server.


TAdvHttp.OnConnectionClosed
OnConnectionClosed Event

Applies to
TAdvHttp

Declaration
TNotifyEvent = Procedure(Sender: TObject) of object;

Description
Occurs if successfully closed the connection to the server.


TAdvHttp.OnDataAvailable
OnDataAvailable Event

Applies to
TAdvHttp

Declaration
TNotifyEvent = Procedure(Sender: TObject) of object;

Description
Occurs when new data has been received an is available in ResponseStream property.


TAdvHttp.OnError
OnError Event
See Also

Applies to
TAdvHttp

Declaration
TNotifyEvent = Procedure(Sender: TObject) of object;

Description
Occurs on an error in the request. The LastError property contains the Wininet or Win32 error code.] You can get an error description by calling the FormatMessage method.


TAdvHttp.OnIntermediateResponse
OnIntermediateResponse Event

Applies to
TAdvHttp

Declaration
TNotifyEvent = Procedure(Sender: TObject) of object;

Description
Occurs when received an intermediate (100 level) status code message from the server.


TAdvHttp.OnNameResolved
OnNameResolved Event

Applies to
TAdvHttp

Declaration
TNotifyEvent = Procedure(Sender: TObject) of object;

Description
Occurs when successfully found the IP address of the name contained in HostName property.


TAdvHttp.OnNeedAuth
OnNeedAuth Event
See Also

Applies to
TAdvHttp

Declaration
TNotifyEvent = Procedure(Sender: TObject) of object;

Description
Occurs when authentication information is needed. You can provide your own authentication dialog by setting to false the DefaultUI property, and filling the UserName and Password properties.


TAdvHttp.OnNeedProxyAuth
OnNeedProxyAuth Event
See Also

Applies to
TAdvHttp

Declaration
TNotifyEvent = Procedure(Sender: TObject) of object;

Description
Occurs when proxy authentication information is needed. You can provide your own authentication dialog by setting to false the DefaultUI property, and filling the ProxyUserName and ProxyPassword properties.


TAdvHttp.OnReceivingResponse
OnReceivingResponse Event

Applies to
TAdvHttp

Declaration
TNotifyEvent = Procedure(Sender: TObject) of object;

Description
Occurs while waiting for the server to respond to a request.


TAdvHttp.OnRedirect
OnRedirect Event

Applies to
TAdvHttp

Declaration
TNotifyEvent = Procedure(Sender: TObject) of object;

Description
Occurs when a redirection is received from the server.


TAdvHttp.OnRequestComplete
OnRequestComplete Event

Applies to
TAdvHttp

Declaration
TNotifyEvent = Procedure(Sender: TObject) of object;

Description
Occurs when the asynchronous operation has been completed.


TAdvHttp.OnRequestSent
OnRequestSent Event

Applies to
TAdvHttp

Declaration
TNotifyEvent = Procedure(Sender: TObject) of object;

Description
Occurs when the request information is successfully sent to the server. The property BytesSent, containts the number of bytes sent.


TAdvHttp.OnResolvingName
OnResolvingName Event

Applies to
TAdvHttp

Declaration
TNotifyEvent = Procedure(Sender: TObject) of object;

Description
Occurs while looking up the IP address of the name contained in HostName property.


TAdvHttp.OnResponseReceived
OnResponseReceived Event

Applies to
TAdvHttp

Declaration
TNotifyEvent = Procedure(Sender: TObject) of object;

Description
Occurs when successfully received a response from the server. The BytesReceived property contains the number of bytes received.


TAdvHttp.OnSendingRequest
OnSendingRequest Event

Applies to
TAdvHttp

Declaration
TNotifyEvent = Procedure(Sender: TObject) of object;

Description
Occurs while sending the information request to the server.


TAdvHttp.OnStateChange
OnStateChange Event

Applies to
TAdvHttp

Declaration
TNotifyEvent = Procedure(Sender: TObject) of object;

Description
Occurs when moved between a secure (HTTPS) and a nonsecure (HTTP) site.


Register
Register routine

Unit
uAdvHttp

Declaration
Procedure Register;


TInternetFlags
TInternetFlags type

Unit
uAdvHttp

Declaration
TInternetFlags = set of
    (ifCacheIfNetFail,ifDontCache,ifHyperLink,
    ifIgnoreCertCnInvalid,ifIgnoreCertDateInvalid,
    ifIgnoreRedirectToHttp,ifIgnoreRedirectToHttps,
    ifKeepConnection,ifNeedFile,ifNoAuth,
    ifNoAutoRedirect,ifNoCacheWrite,ifNoCookies,
    ifNoUi,ifPragmaNoCache,ifReload,ifResynchronize);

Description
TInternetFlags is a wrapper of the flags used in HttpOpenRequest wininet function.
ifCacheIfNetFail
 Return the resource from the cache if the network request for the resource fails due to an ERROR_INTERNET_CONNECTION_RESET or ERROR_INTERNET_CANNOT_CONNECT.
ifDontCache
 Does not add the returned entity to the cache. Identical to the preferred value, ifNoCacheWrite.
ifHyperlink
 Forces a reload if there was no Expires time and no Last-Modified time returned from the server when determining whether to reload the item from the network.
ifIgnoreCertCnInvalid
 Disables Win32 Internet function checking of SSL/PCT-based certificates that are returned from the server against the host name given in the request. Win32 Internet functions use a simple check against certificates by comparing for matching host names and simple wildcarding rules.
ifIgnoreCertDateInvalid
 Disables Win32 Internet function checking of SSL/PCT-based certificates for proper validity dates.
ifIgnoreredirectToHttp
 Disables the ability of the Win32 Internet functions to detect this special type of redirect. When this flag is used, Win32 Internet functions transparently allow redirects from HTTPS to HTTP URLs.
ifIgnoreredirectToHttps
 Disables the ability of the Win32 Internet functions to detect this special type of redirect. When this flag is used, Win32 Internet functions transparently allow redirects from HTTP to HTTPS URLs.
ifKeepConnection
 Uses keep-alive semantics, if available, for the connection. This flag is required for Microsoft Network (MSN), NT LAN Manager (NTLM), and other types of authentication.
ifNeedFile
 Causes a temporary file to be created if the file cannot be cached.
ifNoAuth
 Does not attempt authentication automatically.
ifNoAutoRedirect
 Does not automatically handle redirection in HttpSendRequest.
ifNoCacheWrite
 Does not add the returned entity to the cache.
ifNoCookies
 Does not automatically add cookie headers to requests, and does not automatically add returned cookies to the cookie database.
ifNoUi
 Disables the cookie dialog box.
ifPragmaNoCache
 Forces the request to be resolved by the origin server, even if a cached copy exists on the proxy.
ifReload
 Forces a download of the requested file, object, or directory listing from the origin server, not from the cache.
ifResynchronize
 Reloads HTTP resources if the resource has been modified since the last time it was downloaded.
ifSecure
 Uses SSL/PCT transaction semantics.


Hierarchy

TComponent
     |
TAdvHttp

Subclasses
None


See Also

•	OnDataAvailable

•	TotalBytesAvailable


See Also

•	OnResponseReceived

•	TotalBytesReceived


See Also

•	OnRequestSent


See Also

•	URL

•	HostName

•	URLPath

•	Port

•	SSL


See Also

•	OnNameResolved


See Also

•	TInternetFlags


See Also

•	FormatMessage


See Also

•	URL

•	HostName

•	URLPath

•	ExtraInfo

•	SSL


See Also

•	Proxy


See Also

•	Proxy


See Also

•	OnRedirect


See Also

•	URL

•	HostName

•	URLPath

•	ExtraInfo

•	Port


See Also

•	HttpStatus


See Also

•	RequestStream

•	ResponseStream


See Also

•	OnDataAvailable

•	BytesAvailable


See Also

•	OnResponseReceived

•	BytesReceived


See Also

•	HostName

•	URLPath

•	ExtraInfo

•	Port

•	SSL


See Also

•	URL

•	HostName

•	ExtraInfo

•	Port

•	SSL


See Also

•	LastError


See Also

•	LastError

•	FormatMessage


See Also

•	DefaultUi

•	UserName

•	Password


See Also

•	DefaultUi

•	Proxy

•	ProxyUserName

•	ProxyPassword